# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Feedforward network for Tuberculosis Detection.

Simple feedforward network taking radiological signs in output and
predicting tuberculosis presence in output.
"""
from torch import empty
from torch.nn import BCEWithLogitsLoss

from ...models.logistic_regression import LogisticRegression

# config
optimizer_configs = {"lr": 1e-2}
input_size = 14

# optimizer
optimizer = "Adam"

# criterion
criterion = BCEWithLogitsLoss(pos_weight=empty(1))
criterion_valid = BCEWithLogitsLoss(pos_weight=empty(1))

# model
model = LogisticRegression(
    criterion, criterion_valid, optimizer, optimizer_configs, input_size
)
